Package org.spongepowered.asm.mixin.transformer

## Class Config

- java.lang.Object
- - org.spongepowered.asm.mixin.transformer.Config

-     public class Config
      extends java.lang.Object

  Handle for marshalling mixin configs outside of the transformer package

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Config​(org.spongepowered.asm.mixin.transformer.MixinConfig config)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Config` | `create​(java.lang.String configFile, IMixinConfigSource source)` | Factory method, create a config from the specified config resource
    `static Config` | `create​(java.lang.String configFile, MixinEnvironment outer)` | Deprecated.
    `static Config` | `create​(java.lang.String configFile, MixinEnvironment outer, IMixinConfigSource source)` | Deprecated.
    `boolean` | `equals​(java.lang.Object obj)` |
    `IMixinConfig` | `getConfig()` | Get API-level config view
    `MixinEnvironment` | `getEnvironment()` | Get environment for the config
    `java.lang.String` | `getName()` |
    `Config` | `getParent()` | Get the the config's parent
    `int` | `hashCode()` |
    `boolean` | `isVisited()` | Get whether config has been visited
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Config

          public Config​(org.spongepowered.asm.mixin.transformer.MixinConfig config)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### isVisited

          public boolean isVisited()

      Get whether config has been visited

    - #### getConfig

          public IMixinConfig getConfig()

      Get API-level config view

    - #### getEnvironment

          public MixinEnvironment getEnvironment()

      Get environment for the config

    - #### getParent

          public Config getParent()

      Get the the config's parent

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### create

          @Deprecated
          public static Config create​(java.lang.String configFile,
                                      MixinEnvironment outer)

      Deprecated.
      Factory method, create a config from the specified config file and fail over to the specified environment if no selector is present in the config
      Parameters:
        `configFile` - config resource
        `outer` - failover environment
      Returns:
        new config or null if invalid config version

    - #### create

          @Deprecated
          public static Config create​(java.lang.String configFile,
                                      MixinEnvironment outer,
                                      IMixinConfigSource source)

      Deprecated.
      Factory method, create a config from the specified config file and fail over to the specified environment if no selector is present in the config
      Parameters:
        `configFile` - config resource
        `outer` - failover environment
        `source` - config source
      Returns:
        new config or null if invalid config version

    - #### create

          public static Config create​(java.lang.String configFile,
                                      IMixinConfigSource source)

      Factory method, create a config from the specified config resource
      Parameters:
        `configFile` - config resource
        `source` - config source
      Returns:
        new config or null if invalid config version